clear all
%rp=erot([166.3 25 57.4]*pi/180); % Euler angles to ratation matrix

% directions obtained from Euler angles in the laboratory reference system and changed to the reference system
% of the xyz coordinates of the molecule (x' -> -x, y' -> z, z' -> -y)
xg = [0.6735   -0.2272 0.7034];
yg = [-0.6150   0.3557 0.7037 ];
zg = [0.4101   0.9065  -0.0998];

% xyz coordinates of CuBMB molecule
cu=[7.335790  5.942921 5.238007];
cl=[7.646920  8.022060 6.439581];
S=[8.781252 5.651932   3.461405];
O=[5.946124  6.578471 4.029056];
N1=[5.951893 4.811497   6.304109];
N2=[8.561364 4.905455  6.450471];

% writing the vector parallel to the bonds Cu-ligand
cucl=cl-cu;
cuS=S-cu;
cuO=O-cu;
cuN1=N1-cu;
cuN2=N2-cu;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%calculating the angle between Cu-ligand and the molecular g frame (Xg,Yg,Zg)
CuCl.Xg=acos(dot(cucl,xg)/(norm(cucl)*norm(xg)))*180/pi;   
CuCl.Yg=acos(dot(cucl,yg)/(norm(cucl)*norm(yg)))*180/pi ;  
CuCl.Zg=acos(dot(cucl,zg)/(norm(cucl)*norm(zg)))*180/pi  ; 

CuS.Xg=acos(dot(cuS,xg)/(norm(cuS)*norm(xg)))*180/pi   ;
CuS.Yg=acos(dot(cuS,yg)/(norm(cuS)*norm(yg)))*180/pi   ;
CuS.Zg=acos(dot(cuS,zg)/(norm(cuS)*norm(zg)))*180/pi   ;

CuO.Xg=acos(dot(cuO,xg)/(norm(cuO)*norm(xg)))*180/pi   ;
CuO.Yg=acos(dot(cuO,yg)/(norm(cuO)*norm(yg)))*180/pi   ;
CuO.Zg=acos(dot(cuO,zg)/(norm(cuO)*norm(zg)))*180/pi   ;

CuN1.Xg=acos(dot(cuN1,xg)/(norm(cuN1)*norm(xg)))*180/pi ;  
CuN1.Yg=acos(dot(cuN1,yg)/(norm(cuN1)*norm(yg)))*180/pi  ; 
CuN1.Zg=acos(dot(cuN1,zg)/(norm(cuN1)*norm(zg)))*180/pi   ;

CuN2.Xg=acos(dot(cuN2,xg)/(norm(cuN2)*norm(xg)))*180/pi   ;
CuN2.Yg=acos(dot(cuN2,yg)/(norm(cuN2)*norm(yg)))*180/pi   ;
CuN2.Zg=acos(dot(cuN2,zg)/(norm(cuN2)*norm(zg)))*180/pi   ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% writing angles to table
fid = fopen('angles.txt','w');
fprintf(fid,'%6.2f \t %6.2f \t %6.2f\n',[CuCl.Xg CuCl.Yg CuCl.Zg]);
fprintf(fid,'%6.2f \t %6.2f \t %6.2f\n',[CuS.Xg CuS.Yg CuS.Zg]);
fprintf(fid,'%6.2f \t %6.2f \t %6.2f\n',[CuO.Xg CuO.Yg CuO.Zg]);
fprintf(fid,'%6.2f \t %6.2f \t %6.2f\n',[CuN1.Xg CuN1.Yg CuN1.Zg]);
fprintf(fid,'%6.2f \t %6.2f \t %6.2f\n',[CuN2.Xg CuN2.Yg CuN2.Zg]);
fclose(fid);